import ui from "@nuxt/ui/vue-plugin"
import { createApp } from "vue"
import { createRouter, createWebHistory } from "vue-router"
import App from "~/App.vue"
import EditorPage from "~/pages/editor.vue"
import EditorBlockPage from "~/pages/editor-block.vue"
import IndexPage from "~/pages/index.vue"
import SuggestionMenuPage from "~/pages/suggestion-menu.vue"
import ThemesPage from "~/pages/themes.vue"
import ToolbarPage from "~/pages/toolbar.vue"
import "~/style.css"

const routes = [
  { path: "/", component: IndexPage },
  { path: "/editor", component: EditorPage },
  { path: "/editor-block", component: EditorBlockPage },
  { path: "/toolbar", component: ToolbarPage },
  { path: "/suggestion-menu", component: SuggestionMenuPage },
  { path: "/themes", component: ThemesPage },
]

const app = createApp(App)
const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes,
})

app.use(router)
app.use(ui)
app.mount("#app")
